<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../assets/xml/rss.xsl" media="all"?><rss xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:atom="http://www.w3.org/2005/Atom" version="2.0"><channel><title>duckland.org news (arch)</title><link>http://www.duckland.org/</link><description></description><atom:link href="http://www.duckland.org/categories/arch.xml" type="application/rss+xml" rel="self"></atom:link><language>en</language><lastBuildDate>Wed, 10 Jun 2015 05:13:30 GMT</lastBuildDate><generator>http://getnikola.com/</generator><docs>http://blogs.law.harvard.edu/tech/rss</docs><item><title>Updates to AUR packages</title><link>http://www.duckland.org/posts/updates-to-aur-packages.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;So, with the &lt;a class="reference external" href="https://wiki.archlinux.org/index.php/Arch_User_Repository#AUR_4"&gt;migration of the AUR to version 4&lt;/a&gt;, I looked at the 12 AUR packages I had created over the years which I have not looked at in a long, long time.&lt;/p&gt;
&lt;p&gt;The list started out with:&lt;/p&gt;
&lt;ul class="simple"&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/chronicle/"&gt;chronicle&lt;/a&gt; - A simple blog compiler written in Perl&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-basename/"&gt;perl-leocharre-basename&lt;/a&gt; - Very basic filename string and path operations such as ext and paths&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-cli2/"&gt;perl-leocharre-cli2&lt;/a&gt; - Some quick help for writing cli scripts&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-debug/"&gt;perl-leocharre-debug&lt;/a&gt; - Debug subroutines&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-dir/"&gt;perl-leocharre-dir&lt;/a&gt; - Subroutines for general directory needs&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-strings/"&gt;perl-leocharre-strings&lt;/a&gt; - Combines string procedures I frequently use&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-string-prettify/"&gt;perl-string-prettify&lt;/a&gt; - Subroutines to cleanup a filename and or garble for human eyes&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-wordpress-api/"&gt;perl-wordpress-api&lt;/a&gt; - Management of Wordpress API objects. Inherits WordPress::XMLRPC and all its methods&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-wordpress-cli/"&gt;perl-wordpress-cli&lt;/a&gt; - Command line access to Wordpress&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-wordpress-xmlrpc/"&gt;perl-wordpress-xmlrpc&lt;/a&gt; - API to Wordpress XML RPC calls&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/usbmount/"&gt;usbmount&lt;/a&gt; - Automatically mount and unmount USB mass storage devices&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/xlhtml/"&gt;xlhttp&lt;/a&gt; - An Excel spreadsheet (.xls) and PowerPoint (.ppt) to HTML converter&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;In the end, I only kept &lt;em&gt;xlhttp&lt;/em&gt; as I do not use the others anymore.  Surprisingly enough, only one of the packages (&lt;em&gt;chronicle&lt;/em&gt;) was out of date.  I disowned all the others, so if you want,  you can pick them up.&lt;/p&gt;&lt;/div&gt;</description><category>arch</category><category>linux</category><category>software</category><guid>http://www.duckland.org/posts/updates-to-aur-packages.html</guid><pubDate>Tue, 09 Jun 2015 22:19:48 GMT</pubDate></item><item><title>Perl, Modules, and Package Management</title><link>http://www.duckland.org/posts/201409perl-modules-and-package-management.html</link><dc:creator>Don Harper</dc:creator><description>&lt;p&gt;So, even though I have been starting to &lt;a href="http://www.duckland.org/2014/06/back-to-freebsd-maybe-back-to-the-challenge"&gt;work with&lt;/a&gt; &lt;a href="http://www.duckland.org/2014/07/freebsd-switch"&gt;FreeBSD&lt;/a&gt; &lt;a href="http://www.duckland.org/2014/08/one-step-closer"&gt;again&lt;/a&gt;, I am still running &lt;a href="http://www.archlinux.org/"&gt;ArchLinux&lt;/a&gt; on my workstation.&lt;/p&gt;

&lt;p&gt;And I wanted to run a script I wrote a long time ago to support a &lt;a href="http://www.donaldharper.com/"&gt;website&lt;/a&gt; of mine, which I have not updated in a while.  The way I would update the site is by doing some batch editing of photos, park them in a directory, and then run my script which pushes the photos to the web server, and then interfaces with the CMS software to schedule the posts and all is good.&lt;/p&gt;

&lt;p&gt;Except the script is in perl, and it uses some modules which are not main-stream.  While perl has the awesome &lt;strong&gt;cpan(1perl)&lt;/strong&gt; command to fetch and install perl modules, I wanted it to be tied into &lt;strong&gt;pacman(8)&lt;/strong&gt; .  A quick trip to the &lt;a href="http://aur.archlinux.org/"&gt;AUR&lt;/a&gt; turned up the tools &lt;a href="https://aur.archlinux.org/packages/perl-cpanplus-dist-arch-git/"&gt;cpan2aur&lt;/a&gt; and &lt;a href="https://aur.archlinux.org/packages/pkgbuild-introspection-git/"&gt;mkaurball&lt;/a&gt; which made it pretty easy to package up and post the the AUR the 9 perl modules I needed to get my script going and keep track of things with pacman.&lt;/p&gt;

&lt;p&gt;Yeah!&lt;/p&gt;</description><category>arch</category><category>sa</category><guid>http://www.duckland.org/posts/201409perl-modules-and-package-management.html</guid><pubDate>Thu, 18 Sep 2014 10:09:12 GMT</pubDate></item></channel></rss>